arrangers:
- names:
    en: Epic Game Music
- names:
    en: Flying Raccoon Suit
- link: artist/57921
  names:
    en: JiggyTones
- names:
    en: Holy Schnikes!
- names:
    en: Half Past Two
- link: artist/26855
  names:
    en: Lucas Guimaraes
- link: artist/18555
  names:
    en: Ian Martyn
- names:
    en: Simple Minded Symphony
- link: artist/57832
  names:
    en: SaiyaSounds
- link: artist/44752
  names:
    en: The Limit Breakers
- names:
    en: Flip and The Combined Effort
- names:
    en: FLiPLUKA
barcode: '198009155750'
catalog: GGM-18
categories:
- Game
category: Game
classification: Arrangement, Vocal
composers: []
covers: []
discs:
- disc_length: '48:40'
  name: Disc 1
  tracks:
  - names:
      English: Epic Game Music - Prelude
    track_length: '2:10'
  - names:
      English: Flying Raccoon Suit - Those Who Fight
    track_length: '2:54'
  - names:
      English: JiggyTones - Tifa's Theme
    track_length: '2:28'
  - names:
      English: Holy Schnikes! - Rufus's Welcoming Ceremony
    track_length: '1:24'
  - names:
      English: Half Past Two - Electric de Chocobo
    track_length: '2:41'
  - names:
      English: Lucas Guimaraes - The Numbness of Aerith ("Aerith's Theme") ft. Baron
        Von Future, Carrie Wood, Dewey Newt, FLiPLUKA, Ian Martyn
    track_length: '3:13'
  - names:
      English: Ian Martyn - Y'all Better Skank at the Gold Ska-cer ("Gold Saucer")
        ft. Nathan Froehlich, Brandon L. Harnish, Philip Bustamante, Bijan Bryan Eghtesady
    track_length: '2:45'
  - names:
      English: Simple Minded Symphony - Under the Rotting Pizza
    track_length: '6:14'
  - names:
      English: SaiyaSounds - Let the Battles Begin!
    track_length: '3:40'
  - names:
      English: The Limit Breakers - Cosmo Canyon
    track_length: '2:35'
  - names:
      English: Flip and The Combined Effort - Mako Reactor
    track_length: '3:28'
  - names:
      English: FLiPLUKA - JENOVA
    track_length: '4:48'
  - names:
      English: Lucas Guimaraes - One-Winged Angel ft. Ian Martyn, GameroftheWinds,
        Strawberry Protato, Daniel Romberger, Darby Cupit, Bobby Shields, Leo Martyn,
        Ica Tongco, Katy Scary, Ampyluxe
    track_length: '6:13'
  - names:
      English: Ian Martyn - Main Theme ft. Jisun Hughes, Nathan Froehlich, Lucas Guimaraes,
        MegadudeXD
    track_length: '4:07'
link: album/128920
lyricists: []
media_format: Digital
meta:
  added_date: 2023-04-21T07:44
  edited_date: 2024-09-14T12:47
  fetched_date: 2024-10-05T11:09
  ttl: 86400
  visitors: 759
name: 'Limit Breaker: A Ska Tribute to Final Fantasy VII'
names:
  en: 'Limit Breaker: A Ska Tribute to Final Fantasy VII'
  ja: 'Limit Breaker: A Ska Tribute to Final Fantasy VII'
  ja-latn: 'Limit Breaker: A Ska Tribute to Final Fantasy VII'
notes: 'GameGrooves teams up with Ska Punk International to bring you Final Fantasy
  VII remade as ska! "Limit Breaker" assembles a ragtag team of artists to pay tribute
  to one of gaming''s most seminal soundtracks! From Midgar to Cosmo Canyon, these
  14 tracks will break the limits as you take the fight to Shinra!

  Album Art and Layout by Troisnyx

  Album Mastering by James C. Hoffman

  Producer: Allen Brasch

  Producer: Chris R.

  Music Originally Composed by Nobuo Uematsu

  Mechanical licensing provided by Easy Song Licensing.

  -- Track 1 --

  Epic Game Music: Arranger, Producer, Performer

  -- Track 2 --

  Flying Raccoon Suit: Arranger, Producer, Performer

  -- Track 3 --

  JiggyTones: Arranger, Producer, Performer

  -- Track 4 --

  Holy Schnikes!: Arranger, Producer, Performer

  -- Track 5 --

  Half Past Two: Arranger, Producer, Performer

  -- Track 6 --

  Lucas Guimaraes: Arranger, Producer, Saxophone, Auxiliary Instruments

  Baron Von Future: Drums

  Carrie Wood: Bass

  Dewey Newt: Trombone

  FLiPLUKA: Trumpet

  Ian Martyn: Acoustic Guitar, Electric Guitar

  -- Track 7 --

  Ian Martyn: Arranger, Producer, Guitar, Bass, Organ

  Nathan Froehlich:Trumpet

  Brandon L. Harnish: Trombone

  Philip Bustamante: Tenor Sax

  Bijan Bryan Eghtesady: Drums

  -- Track 8 --

  Simple Minded Symphony: Arranger, Producer, Performer

  -- Track 9 --

  SaiyaSounds: Arranger, Producer, Performer

  -- Track 10 --

  The Limit Breakers: Arranger, Producer, Performer

  -- Track 11 --

  Flip and The Combined Effort: Arranger, Producer, Performer

  -- Track 12 --

  FLiPLUKA: Arranger, Producer, Performer

  -- Track 13 --

  Lucas Guimaraes: Arranger, Producer, Alto Saxophone, Tenor Saxophone, Soprano, Alto,
  Tenor, Bass

  Ian Martyn: Acoustic Guitar, Electric Guitar, Electric Bass, Organ, Synthesizer,
  Alto, Tenor, Arrangement

  GameroftheWinds: Flute

  Strawberry Protato: Trumpet

  Daniel Romberger: Theremin, Trombone

  Darby Cupit: Lead Vocals

  Bobby Shields: Drums

  Leo Martyn: Bongos, Bass

  Ica Tongco: Soprano, Alto

  Katy Scary: Alto

  Ampyluxe: Tenor

  -- Track 14 --

  Ian Martyn: Arranger, Producer, Electric Guitar, Electric Bass, Organ

  Jisun Hughes: Trumpet

  Nathan Froehlich: Trombone

  Lucas Guimaraes: Alto Sax

  MegadudeXD: Drums'
organizations:
- &id001
  link: org/3076
  names:
    en: GameGrooves
    ja: GameGrooves
    ja-latn: GameGrooves
  role: publisher
- names:
    en: Ska Punk international
    ja: Ska Punk international
    ja-latn: Ska Punk international
  role: publisher
performers:
- names:
    en: Epic Game Music
- names:
    en: Flying Raccoon Suit
- link: artist/57921
  names:
    en: JiggyTones
- names:
    en: Holy Schnikes!
- names:
    en: Half Past Two
- names:
    en: Simple Minded Symphony
- link: artist/57832
  names:
    en: SaiyaSounds
- link: artist/44752
  names:
    en: The Limit Breakers
- names:
    en: Flip and The Combined Effort
- names:
    en: FLiPLUKA
picture_full: https://media.vgm.io/albums/02/128920/128920-4d3e0d87758f.jpg
picture_small: https://medium-media.vgm.io/albums/02/128920/128920-4d3e0d87758f.jpg
picture_thumb: https://thumb-media.vgm.io/albums/02/128920/128920-4d3e0d87758f.jpg
platforms:
- PC
- Sony PlayStation
products:
- link: product/188
  names:
    en: FINAL FANTASY VII
    ja: ファイナルファンタジーVII
    ja-latn: FINAL FANTASY VII
publish_format: Commercial
publisher: *id001
related:
- catalog: SSCX-10003
  link: album/3
  names:
    en: FINAL FANTASY VII Original Sound Track [Limited...
    ja: ファイナルファンタジーVII オリジナル・サウンド...
    ja-latn: FINAL FANTASY VII Original Sound Track [Limited...
  type: game
- catalog: SSCX-10012
  link: album/45
  names:
    en: FINAL FANTASY VII Reunion Tracks
    ja: ファイナルファンタジーVII リユニオン・トラックス
    ja-latn: FINAL FANTASY VII Reunion Tracks
  type: game
- catalog: FRCFW-1608
  link: album/88466
  names:
    en: 'FPD MUSIC DISC VOLUME: 8 SPECIAL EDIT OF FINAL ...'
    ja: 'FPD MUSIC DISC VOLUME: 8 SPECIAL EDIT OF FINAL ...'
    ja-latn: 'FPD MUSIC DISC VOLUME: 8 SPECIAL EDIT OF FINAL ...'
  type: doujin
- catalog: SSCX-10111
  link: album/11
  names:
    en: Piano Collections FINAL FANTASY VII
    ja: ピアノ・コレクションズ ファイナルファンタジーVII
    ja-latn: Piano Collections FINAL FANTASY VII
  type: game
- catalog: N/A
  link: album/17854
  names:
    en: The Mako Album
    ja: The Mako Album
    ja-latn: The Mako Album
  type: doujin
- catalog: OCRA-0009
  link: album/4608
  names:
    en: 'Final Fantasy VII: Voices of the Lifestream'
    ja: 'Final Fantasy VII: Voices of the Lifestream'
    ja-latn: 'Final Fantasy VII: Voices of the Lifestream'
  type: doujin
- catalog: '634479766671'
  link: album/8119
  names:
    en: Origins
    ja: Origins
    ja-latn: Origins
  type: doujin
- catalog: N/A
  link: album/10224
  names:
    en: F1N4LF4NT4S7Z3R0
    ja: F1N4LF4NT4S7Z3R0
    ja-latn: F1N4LF4NT4S7Z3R0
  type: doujin
- catalog: N/A
  link: album/17820
  names:
    en: Vinyl Fantasy 7
    ja: Vinyl Fantasy 7
    ja-latn: Vinyl Fantasy 7
  type: doujin
- catalog: N/A
  link: album/29232
  names:
    en: 'FF: Metal'
    ja: 'Final Fantasy: Metal'
    ja-latn: 'FF: Metal'
  type: doujin
release_date: '2023-04-21'
release_events: []
release_price:
  currency: USD
  price: 10.0
reprints: []
stores:
- link: http://gamegrooves.bandcamp.com/album/limit-breaker-a-ska-tribute-to-final-fantasy-vii
  name: Bandcamp
- link: http://www.deezer.com/album/422998647
  name: Deezer
- link: http://music.apple.com/us/album/1679632419
  name: iTunes
- link: http://play.napster.com/album/alb.758769897
  name: Napster
- link: http://www.pandora.com/artist/gamegrooves-and-ska-punk-international/limit-breaker-a-ska-tribute-to-final-fantasy-7/ALZlxwVwn3kzppc
  name: Pandora
- link: http://open.qobuz.com/album/li2xi5gjpxbra
  name: Qobuz
- link: http://open.spotify.com/album/2aTamzpRcrE0fq38cS3AIw
  name: Spotify
- link: http://listen.tidal.com/album/285867716
  name: TIDAL
- link: http://music.youtube.com/playlist?list=OLAK5uy_mhDEODQ0rdyZqu7wgaes8ey6joxUAFwHA
  name: YouTube Music
vgmdb_link: https://vgmdb.net/album/128920?perpage=99999
votes: 0
